%define upstream_name    Sort-Key-IPv4
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Sort IP v4 addresses
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sort/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sort::Key)
BuildRequires: perl-devel

%description
This module extends the the Sort::Key manpage family of modules to support
sorting of IP v4 addresses and networks.

IPv4 addresses have to match the regular expression
'/^\d+\.\d+\.\d+\.\d+$/'. For instance '192.168.20.102'.

IPv4 networks have to match the regular expression
'/^\d+\.\d+\.\d+\.\d+\/\d+$/'. For instance '10.2.4.0/24'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-10.mga6
+ Revision: 1033252
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.30.0-9.mga6
+ Revision: 958002
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.30.0-8.mga6
+ Revision: 845288
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.30.0-7.mga6
+ Revision: 841674
- Rebuild for perl 5.22

* Sat Oct 18 2014 umeabot <umeabot> 0.30.0-6.mga5
+ Revision: 788238
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 741253
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 686210
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.30.0-3.mga5
+ Revision: 632321
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-2.mga4
+ Revision: 529314
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 guillomovitch <guillomovitch> 0.30.0-1.mga4
+ Revision: 389214
- imported package perl-Sort-Key-IPv4


* Tue Jun 26 2012 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
